<?php
defined('_JCE_EXT') or die('Restricted access');

require_once(JPATH_ADMINISTRATOR.'/components/com_zoo/config.php');
require_once(JPATH_SITE.DS.'includes'.DS.'application.php');

class AdvlinkZoo {
	
	function getOptions() {
		$advlink =& AdvLink::getInstance();
		$list = '';
		if ($advlink->checkAccess('zoo', '1')) {
			$list = '<li id="index.php?option=com_zoo"><div class="tree-row"><div class="tree-image"></div><span class="folder content nolink"><a href="javascript:;">' . JText::_('Zoo') . '</a></span></div></li>';
		}
		return $list;
	}
	
	function getItems($args) {
		$links 	= array();
		$view	= isset($args->view) ? $args->view : (isset($args->task) ? $args->task : '');

		switch ($view) {
			default:
				$applications 	= YTable::getInstance('application')->all();
				foreach ($applications as $application) {
					$links[] = array(
						'id'	=>	RouteHelper::getFrontpageRoute($application->id),
						'name'	=>	$application->name, // . ' / ' . $app->alias
						'class'	=>	'folder application nolink'
					);
				}
				break;
				
			case 'frontpage':
				$categories = AdvlinkZoo::_category(0, $args->app_id);
				foreach ($categories as $category) {
					$links[] = array(
						'id'	=>	RouteHelper::getCategoryRoute($category),
						'name'	=>	$category->name,// . ' / ' . $category->alias,
						'class'	=>	'folder category'
					);
				}
				break;
			
			case 'category':
				$categories = AdvlinkZoo::_category($args->category_id);
				if (count($categories) > 0) {
					foreach ($categories as $category) {
						$links[] = array(
							'id'	=>	RouteHelper::getCategoryRoute($category),
							'name'	=>	$category->name,// . ' / ' . $category->alias,
							'class'	=>	'folder category'
						);
					}
				}
				
				$items = AdvlinkZoo::_item($args->category_id);
				if (count($items) > 0) {
					foreach ($items as $item_id) {
						$itemObj = YTable::getInstance('item')->get($item_id->id);
						$links[] = array(
							'id'	=>	RouteHelper::getItemRoute($itemObj),
							'name'	=>	$itemObj->name,// . ' / ' . $item->alias,
							'class'	=>	'file'
						);
					}
				}
				break;
		}
		return $links;
	}
	
	function _category($parent_category = 0, $application_id = 0) {
		$options['conditions'] =
			  '`published` = "1" AND '
			. '`parent` = "'.(int)$parent_category.'"'
			. (($application_id) ? ' AND `application_id` = "'.(int)$application_id.'"' : '');
		return YTable::getInstance('category')->all($options);
	}
	
	function _item($id) {
		$db		=& JFactory::getDBO();
		$query = 'SELECT item.id'
			. ' FROM #__zoo_item AS item'
			. ' INNER JOIN #__zoo_category_item AS category ON category.item_id = item.id'
			. ' WHERE category.category_id = '.(int) $id
			. ' AND item.state = 1'
		;
		$db->setQuery($query, 0);
		return $db->loadObjectList();
	}

}
